/*===========================================================================*/
/*   (Rgc/rgcconfig.scm)                                                     */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Rgc/rgcconfig.scm -indent -o objs/obj_u/Rgc/rgcconfig.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___RGC_CONFIG_TYPE_DEFINITIONS
#define BGL___RGC_CONFIG_TYPE_DEFINITIONS
#endif													// BGL___RGC_CONFIG_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_list1641z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1675z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1642z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1678z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1645z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1648z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1684z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1651z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1654z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1656z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1659z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1691z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1660z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1662z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1696z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1665z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1668z00zz__rgc_configz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00(obj_t,
		obj_t);
	static obj_t BGl_list1671z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1672z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1674z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1677z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__rgc_configz00(obj_t,
		obj_t);
	static obj_t BGl_list1680z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1681z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__rgc_configz00(void);
	static obj_t BGl_list1683z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1686z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1687z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1688z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__rgc_configz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BUNSPEC;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_list1690z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1693z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1695z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list1698z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__rgc_configz00(void);
	static obj_t BGl_genericzd2initzd2zz__rgc_configz00(void);
	static obj_t BGl_z62rgczd2downcasezb0zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__rgc_configz00(void);
	static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__rgc_configz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__rgc_configz00(void);
	static obj_t BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2charzf3z43zz__rgc_configz00(obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t);
	static obj_t BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2envzd2zz__rgc_configz00(void);
	static obj_t BGl_z62rgczd2envzb0zz__rgc_configz00(obj_t);
	static obj_t BGl_symbol1701z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1703z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__rgc_configz00(void);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t);
	static obj_t BGl_z62rgczd2maxzd2charz62zz__rgc_configz00(obj_t);
	static obj_t BGl_symbol1643z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1646z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1649z00zz__rgc_configz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00(void);
	static obj_t BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_list1700z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1652z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1657z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1663z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1666z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol1669z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2upcasezb0zz__rgc_configz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2alphabeticzf3zd2envzf3zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2alphabe1707z00,
		BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2envzd2envz00zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2envza7b0za71708z00,
		BGl_z62rgczd2envzb0zz__rgc_configz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2charzf3zd2envzf3zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2charza7f31709za7,
		BGl_z62rgczd2charzf3z43zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2upcasezd2envz00zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2upcaseza71710za7,
		BGl_z62rgczd2upcasezb0zz__rgc_configz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2maxzd2charzd2envzd2zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2maxza7d2c1711za7,
		BGl_z62rgczd2maxzd2charz62zz__rgc_configz00, 0L, BUNSPEC, 0);
	      BGL_DEFINE_STRING(BGl_string1702z00zz__rgc_configz00,
		BgL_bgl_string1702za700za7za7_1712za7, "space", 5);
	      BGL_DEFINE_STRING(BGl_string1704z00zz__rgc_configz00,
		BgL_bgl_string1704za700za7za7_1713za7, "rgc-config", 10);
	      BGL_DEFINE_STRING(BGl_string1705z00zz__rgc_configz00,
		BgL_bgl_string1705za700za7za7_1714za7, "ascii", 5);
	      BGL_DEFINE_STRING(BGl_string1706z00zz__rgc_configz00,
		BgL_bgl_string1706za700za7za7_1715za7, "__rgc_config", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1637z00zz__rgc_configz00,
		BgL_bgl_za762za7c3za704anonymo1716za7,
		BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1644z00zz__rgc_configz00,
		BgL_bgl_string1644za700za7za7_1717za7, "all", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1638z00zz__rgc_configz00,
		BgL_bgl_za762za7c3za704anonymo1718za7,
		BGl_z62zc3z04anonymousza31197ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1639z00zz__rgc_configz00,
		BgL_bgl_za762za7c3za704anonymo1719za7,
		BGl_z62zc3z04anonymousza31195ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1647z00zz__rgc_configz00,
		BgL_bgl_string1647za700za7za7_1720za7, "out", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1640z00zz__rgc_configz00,
		BgL_bgl_za762za7c3za704anonymo1721za7,
		BGl_z62zc3z04anonymousza31194ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1650z00zz__rgc_configz00,
		BgL_bgl_string1650za700za7za7_1722za7, "lower", 5);
	      BGL_DEFINE_STRING(BGl_string1653z00zz__rgc_configz00,
		BgL_bgl_string1653za700za7za7_1723za7, "in", 2);
	      BGL_DEFINE_STRING(BGl_string1655z00zz__rgc_configz00,
		BgL_bgl_string1655za700za7za7_1724za7, "az", 2);
	      BGL_DEFINE_STRING(BGl_string1658z00zz__rgc_configz00,
		BgL_bgl_string1658za700za7za7_1725za7, "upper", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2downcasezd2envz00zz__rgc_configz00,
		BgL_bgl_za762rgcza7d2downcas1726z00,
		BGl_z62rgczd2downcasezb0zz__rgc_configz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1661z00zz__rgc_configz00,
		BgL_bgl_string1661za700za7za7_1727za7, "AZ", 2);
	      BGL_DEFINE_STRING(BGl_string1664z00zz__rgc_configz00,
		BgL_bgl_string1664za700za7za7_1728za7, "alpha", 5);
	      BGL_DEFINE_STRING(BGl_string1667z00zz__rgc_configz00,
		BgL_bgl_string1667za700za7za7_1729za7, "or", 2);
	      BGL_DEFINE_STRING(BGl_string1670z00zz__rgc_configz00,
		BgL_bgl_string1670za700za7za7_1730za7, "digit", 5);
	      BGL_DEFINE_STRING(BGl_string1673z00zz__rgc_configz00,
		BgL_bgl_string1673za700za7za7_1731za7, "09", 2);
	      BGL_DEFINE_STRING(BGl_string1676z00zz__rgc_configz00,
		BgL_bgl_string1676za700za7za7_1732za7, "xdigit", 6);
	      BGL_DEFINE_STRING(BGl_string1679z00zz__rgc_configz00,
		BgL_bgl_string1679za700za7za7_1733za7, "uncase", 6);
	      BGL_DEFINE_STRING(BGl_string1682z00zz__rgc_configz00,
		BgL_bgl_string1682za700za7za7_1734za7, "af09", 4);
	      BGL_DEFINE_STRING(BGl_string1685z00zz__rgc_configz00,
		BgL_bgl_string1685za700za7za7_1735za7, "alnum", 5);
	      BGL_DEFINE_STRING(BGl_string1689z00zz__rgc_configz00,
		BgL_bgl_string1689za700za7za7_1736za7, "az09", 4);
	      BGL_DEFINE_STRING(BGl_string1692z00zz__rgc_configz00,
		BgL_bgl_string1692za700za7za7_1737za7, "punct", 5);
	      BGL_DEFINE_STRING(BGl_string1694z00zz__rgc_configz00,
		BgL_bgl_string1694za700za7za7_1738za7, ".,;!?", 5);
	      BGL_DEFINE_STRING(BGl_string1697z00zz__rgc_configz00,
		BgL_bgl_string1697za700za7za7_1739za7, "blank", 5);
	      BGL_DEFINE_STRING(BGl_string1699z00zz__rgc_configz00,
		BgL_bgl_string1699za700za7za7_1740za7, " \t\n", 3);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1699z00zz__rgc_configz00,
			BgL_bgl_string1699za700za7za7_1740za7);
		BGL_BIND_STRING(BGl_string1697z00zz__rgc_configz00,
			BgL_bgl_string1697za700za7za7_1739za7);
		BGL_BIND_STRING(BGl_string1694z00zz__rgc_configz00,
			BgL_bgl_string1694za700za7za7_1738za7);
		BGL_BIND_STRING(BGl_string1692z00zz__rgc_configz00,
			BgL_bgl_string1692za700za7za7_1737za7);
		BGL_BIND_STRING(BGl_string1689z00zz__rgc_configz00,
			BgL_bgl_string1689za700za7za7_1736za7);
		BGL_BIND_STRING(BGl_string1685z00zz__rgc_configz00,
			BgL_bgl_string1685za700za7za7_1735za7);
		BGL_BIND_STRING(BGl_string1682z00zz__rgc_configz00,
			BgL_bgl_string1682za700za7za7_1734za7);
		BGL_BIND_STRING(BGl_string1679z00zz__rgc_configz00,
			BgL_bgl_string1679za700za7za7_1733za7);
		BGL_BIND_STRING(BGl_string1676z00zz__rgc_configz00,
			BgL_bgl_string1676za700za7za7_1732za7);
		BGL_BIND_STRING(BGl_string1673z00zz__rgc_configz00,
			BgL_bgl_string1673za700za7za7_1731za7);
		BGL_BIND_STRING(BGl_string1670z00zz__rgc_configz00,
			BgL_bgl_string1670za700za7za7_1730za7);
		BGL_BIND_STRING(BGl_string1667z00zz__rgc_configz00,
			BgL_bgl_string1667za700za7za7_1729za7);
		BGL_BIND_STRING(BGl_string1664z00zz__rgc_configz00,
			BgL_bgl_string1664za700za7za7_1728za7);
		BGL_BIND_STRING(BGl_string1661z00zz__rgc_configz00,
			BgL_bgl_string1661za700za7za7_1727za7);
		BGL_BIND_PROCEDURE(BGl_rgczd2downcasezd2envz00zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2downcas1726z00);
		BGL_BIND_STRING(BGl_string1658z00zz__rgc_configz00,
			BgL_bgl_string1658za700za7za7_1725za7);
		BGL_BIND_STRING(BGl_string1655z00zz__rgc_configz00,
			BgL_bgl_string1655za700za7za7_1724za7);
		BGL_BIND_STRING(BGl_string1653z00zz__rgc_configz00,
			BgL_bgl_string1653za700za7za7_1723za7);
		BGL_BIND_STRING(BGl_string1650z00zz__rgc_configz00,
			BgL_bgl_string1650za700za7za7_1722za7);
		BGL_BIND_PROCEDURE(BGl_proc1640z00zz__rgc_configz00,
			BgL_bgl_za762za7c3za704anonymo1721za7);
		BGL_BIND_STRING(BGl_string1647z00zz__rgc_configz00,
			BgL_bgl_string1647za700za7za7_1720za7);
		BGL_BIND_PROCEDURE(BGl_proc1639z00zz__rgc_configz00,
			BgL_bgl_za762za7c3za704anonymo1719za7);
		BGL_BIND_PROCEDURE(BGl_proc1638z00zz__rgc_configz00,
			BgL_bgl_za762za7c3za704anonymo1718za7);
		BGL_BIND_STRING(BGl_string1644z00zz__rgc_configz00,
			BgL_bgl_string1644za700za7za7_1717za7);
		BGL_BIND_PROCEDURE(BGl_proc1637z00zz__rgc_configz00,
			BgL_bgl_za762za7c3za704anonymo1716za7);
		BGL_BIND_STRING(BGl_string1706z00zz__rgc_configz00,
			BgL_bgl_string1706za700za7za7_1715za7);
		BGL_BIND_STRING(BGl_string1705z00zz__rgc_configz00,
			BgL_bgl_string1705za700za7za7_1714za7);
		BGL_BIND_STRING(BGl_string1704z00zz__rgc_configz00,
			BgL_bgl_string1704za700za7za7_1713za7);
		BGL_BIND_STRING(BGl_string1702z00zz__rgc_configz00,
			BgL_bgl_string1702za700za7za7_1712za7);
		BGL_BIND_PROCEDURE(BGl_rgczd2maxzd2charzd2envzd2zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2maxza7d2c1711za7);
		BGL_BIND_PROCEDURE(BGl_rgczd2upcasezd2envz00zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2upcaseza71710za7);
		BGL_BIND_PROCEDURE(BGl_rgczd2charzf3zd2envzf3zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2charza7f31709za7);
		BGL_BIND_PROCEDURE(BGl_rgczd2envzd2envz00zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2envza7b0za71708z00);
		BGL_BIND_PROCEDURE(BGl_rgczd2alphabeticzf3zd2envzf3zz__rgc_configz00,
			BgL_bgl_za762rgcza7d2alphabe1707z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_list1641z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1675z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1642z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1678z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1645z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1648z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1684z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1651z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1654z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1656z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1659z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1691z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1660z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1662z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1696z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1665z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1668z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1671z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1672z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1674z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1677z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1680z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1681z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1683z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1686z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1687z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1688z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_za2rgczd2optimza2zd2zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1690z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1693z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1695z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1698z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_za2asciizd2configza2zd2zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_za2rgczd2configza2zd2zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1701z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1703z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1643z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1646z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1649z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_list1700z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1652z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1657z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1663z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1666z00zz__rgc_configz00));
		ADD_ROOT((void *) (&BGl_symbol1669z00zz__rgc_configz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long
		BgL_checksumz00_2010, char *BgL_fromz00_2011)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_configz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_configz00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__rgc_configz00();
					BGl_cnstzd2initzd2zz__rgc_configz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_configz00();
					return BGl_toplevelzd2initzd2zz__rgc_configz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			BGl_symbol1643z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1644z00zz__rgc_configz00);
			BGl_symbol1646z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1647z00zz__rgc_configz00);
			BGl_list1645z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1646z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL));
			BGl_list1642z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1643z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1645z00zz__rgc_configz00, BNIL));
			BGl_symbol1649z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1650z00zz__rgc_configz00);
			BGl_symbol1652z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1653z00zz__rgc_configz00);
			BGl_list1654z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_string1655z00zz__rgc_configz00, BNIL);
			BGl_list1651z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1654z00zz__rgc_configz00, BNIL));
			BGl_list1648z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1649z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1651z00zz__rgc_configz00, BNIL));
			BGl_symbol1657z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1658z00zz__rgc_configz00);
			BGl_list1660z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_string1661z00zz__rgc_configz00, BNIL);
			BGl_list1659z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1660z00zz__rgc_configz00, BNIL));
			BGl_list1656z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1657z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1659z00zz__rgc_configz00, BNIL));
			BGl_symbol1663z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1664z00zz__rgc_configz00);
			BGl_symbol1666z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1667z00zz__rgc_configz00);
			BGl_list1665z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1666z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_symbol1649z00zz__rgc_configz00,
					MAKE_YOUNG_PAIR(BGl_symbol1657z00zz__rgc_configz00, BNIL)));
			BGl_list1662z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1663z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1665z00zz__rgc_configz00, BNIL));
			BGl_symbol1669z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1670z00zz__rgc_configz00);
			BGl_list1672z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_string1673z00zz__rgc_configz00, BNIL);
			BGl_list1671z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1672z00zz__rgc_configz00, BNIL));
			BGl_list1668z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1669z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1671z00zz__rgc_configz00, BNIL));
			BGl_symbol1675z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1676z00zz__rgc_configz00);
			BGl_symbol1678z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1679z00zz__rgc_configz00);
			BGl_list1681z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_string1682z00zz__rgc_configz00, BNIL);
			BGl_list1680z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1681z00zz__rgc_configz00, BNIL));
			BGl_list1677z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1678z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1680z00zz__rgc_configz00, BNIL));
			BGl_list1674z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1675z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1677z00zz__rgc_configz00, BNIL));
			BGl_symbol1684z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1685z00zz__rgc_configz00);
			BGl_list1688z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_string1689z00zz__rgc_configz00, BNIL);
			BGl_list1687z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1688z00zz__rgc_configz00, BNIL));
			BGl_list1686z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1678z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1687z00zz__rgc_configz00, BNIL));
			BGl_list1683z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1686z00zz__rgc_configz00, BNIL));
			BGl_symbol1691z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1692z00zz__rgc_configz00);
			BGl_list1693z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_string1694z00zz__rgc_configz00, BNIL));
			BGl_list1690z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1691z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1693z00zz__rgc_configz00, BNIL));
			BGl_symbol1696z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1697z00zz__rgc_configz00);
			BGl_list1698z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_string1699z00zz__rgc_configz00, BNIL));
			BGl_list1695z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1696z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1698z00zz__rgc_configz00, BNIL));
			BGl_symbol1701z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1702z00zz__rgc_configz00);
			BGl_list1700z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1701z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ' ')), BNIL));
			BGl_list1641z00zz__rgc_configz00 =
				MAKE_YOUNG_PAIR(BGl_list1642z00zz__rgc_configz00,
				MAKE_YOUNG_PAIR(BGl_list1648z00zz__rgc_configz00,
					MAKE_YOUNG_PAIR(BGl_list1656z00zz__rgc_configz00,
						MAKE_YOUNG_PAIR(BGl_list1662z00zz__rgc_configz00,
							MAKE_YOUNG_PAIR(BGl_list1668z00zz__rgc_configz00,
								MAKE_YOUNG_PAIR(BGl_list1674z00zz__rgc_configz00,
									MAKE_YOUNG_PAIR(BGl_list1683z00zz__rgc_configz00,
										MAKE_YOUNG_PAIR(BGl_list1690z00zz__rgc_configz00,
											MAKE_YOUNG_PAIR(BGl_list1695z00zz__rgc_configz00,
												MAKE_YOUNG_PAIR(BGl_list1700z00zz__rgc_configz00,
													BNIL))))))))));
			return (BGl_symbol1703z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string1704z00zz__rgc_configz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BTRUE;
			{	/* Rgc/rgcconfig.scm 116 */
				obj_t BgL_envz00_1712;

				BgL_envz00_1712 = BGl_list1641z00zz__rgc_configz00;
				{	/* Rgc/rgcconfig.scm 63 */
					obj_t BgL_newz00_1713;

					BgL_newz00_1713 =
						create_struct(BGl_symbol1703z00zz__rgc_configz00, (int) (7L));
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2098;

						BgL_tmpz00_2098 = (int) (6L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2098, BgL_envz00_1712);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2101;

						BgL_tmpz00_2101 = (int) (5L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2101,
							BGl_proc1637z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2104;

						BgL_tmpz00_2104 = (int) (4L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2104,
							BGl_proc1638z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2107;

						BgL_tmpz00_2107 = (int) (3L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2107,
							BGl_proc1639z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2110;

						BgL_tmpz00_2110 = (int) (2L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2110,
							BGl_proc1640z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						obj_t BgL_auxz00_2115;
						int BgL_tmpz00_2113;

						BgL_auxz00_2115 = BINT(256L);
						BgL_tmpz00_2113 = (int) (1L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2113, BgL_auxz00_2115);
					}
					{	/* Rgc/rgcconfig.scm 63 */
						int BgL_tmpz00_2118;

						BgL_tmpz00_2118 = (int) (0L);
						STRUCT_SET(BgL_newz00_1713, BgL_tmpz00_2118,
							BGl_string1705z00zz__rgc_configz00);
					}
					BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BgL_newz00_1713;
			}}
			return (BGl_za2rgczd2configza2zd2zz__rgc_configz00 =
				BGl_za2asciizd2configza2zd2zz__rgc_configz00, BUNSPEC);
		}

	}



/* &<@anonymous:1194> */
	obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__rgc_configz00(obj_t
		BgL_envz00_1976, obj_t BgL_xz00_1977)
	{
		{	/* Rgc/rgcconfig.scm 118 */
			{	/* Rgc/rgcconfig.scm 119 */
				bool_t BgL_tmpz00_2121;

				{	/* Rgc/rgcconfig.scm 119 */
					bool_t BgL_test1742z00_2122;

					if (INTEGERP(BgL_xz00_1977))
						{	/* Rgc/rgcconfig.scm 119 */
							BgL_test1742z00_2122 = ((long) CINT(BgL_xz00_1977) > 0L);
						}
					else
						{	/* Rgc/rgcconfig.scm 119 */
							BgL_test1742z00_2122 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_1977, BINT(0L));
						}
					if (BgL_test1742z00_2122)
						{	/* Rgc/rgcconfig.scm 119 */
							bool_t BgL_test1744z00_2129;

							if (INTEGERP(BgL_xz00_1977))
								{	/* Rgc/rgcconfig.scm 119 */
									BgL_test1744z00_2129 = ((long) CINT(BgL_xz00_1977) < 256L);
								}
							else
								{	/* Rgc/rgcconfig.scm 119 */
									BgL_test1744z00_2129 =
										BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_1977, BINT(256L));
								}
							if (BgL_test1744z00_2129)
								{	/* Rgc/rgcconfig.scm 119 */
									BgL_tmpz00_2121 = CHARP(BgL_xz00_1977);
								}
							else
								{	/* Rgc/rgcconfig.scm 119 */
									BgL_tmpz00_2121 = ((bool_t) 0);
								}
						}
					else
						{	/* Rgc/rgcconfig.scm 119 */
							BgL_tmpz00_2121 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2121);
			}
		}

	}



/* &<@anonymous:1195> */
	obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__rgc_configz00(obj_t
		BgL_envz00_1978, obj_t BgL_xz00_1979)
	{
		{	/* Rgc/rgcconfig.scm 120 */
			{	/* Rgc/rgcconfig.scm 121 */
				bool_t BgL_tmpz00_2138;

				{	/* Rgc/rgcconfig.scm 121 */
					bool_t BgL_test1746z00_2139;

					if (INTEGERP(BgL_xz00_1979))
						{	/* Rgc/rgcconfig.scm 121 */
							BgL_test1746z00_2139 = ((long) CINT(BgL_xz00_1979) > 0L);
						}
					else
						{	/* Rgc/rgcconfig.scm 121 */
							BgL_test1746z00_2139 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_1979, BINT(0L));
						}
					if (BgL_test1746z00_2139)
						{	/* Rgc/rgcconfig.scm 121 */
							bool_t BgL_test1748z00_2146;

							if (INTEGERP(BgL_xz00_1979))
								{	/* Rgc/rgcconfig.scm 121 */
									BgL_test1748z00_2146 = ((long) CINT(BgL_xz00_1979) < 256L);
								}
							else
								{	/* Rgc/rgcconfig.scm 121 */
									BgL_test1748z00_2146 =
										BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_1979, BINT(256L));
								}
							if (BgL_test1748z00_2146)
								{	/* Rgc/rgcconfig.scm 121 */
									unsigned char BgL_tmpz00_2153;

									BgL_tmpz00_2153 = ((long) CINT(BgL_xz00_1979));
									BgL_tmpz00_2138 = isalpha(BgL_tmpz00_2153);
								}
							else
								{	/* Rgc/rgcconfig.scm 121 */
									BgL_tmpz00_2138 = ((bool_t) 0);
								}
						}
					else
						{	/* Rgc/rgcconfig.scm 121 */
							BgL_tmpz00_2138 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2138);
			}
		}

	}



/* &<@anonymous:1197> */
	obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__rgc_configz00(obj_t
		BgL_envz00_1980, obj_t BgL_xz00_1981)
	{
		{	/* Rgc/rgcconfig.scm 122 */
			return BINT((toupper(((long) CINT(BgL_xz00_1981)))));
		}

	}



/* &<@anonymous:1203> */
	obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00(obj_t
		BgL_envz00_1982, obj_t BgL_xz00_1983)
	{
		{	/* Rgc/rgcconfig.scm 124 */
			return BINT((tolower(((long) CINT(BgL_xz00_1983)))));
		}

	}



/* rgc-max-char */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 77 */
			return STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (1L));
		}

	}



/* &rgc-max-char */
	obj_t BGl_z62rgczd2maxzd2charz62zz__rgc_configz00(obj_t BgL_envz00_1984)
	{
		{	/* Rgc/rgcconfig.scm 77 */
			return BGl_rgczd2maxzd2charz00zz__rgc_configz00();
		}

	}



/* rgc-char? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t
		BgL_charz00_33)
	{
		{	/* Rgc/rgcconfig.scm 83 */
			{	/* Rgc/rgcconfig.scm 84 */
				obj_t BgL_fun1231z00_1744;

				BgL_fun1231z00_1744 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (2L));
				return CBOOL(BGL_PROCEDURE_CALL1(BgL_fun1231z00_1744, BgL_charz00_33));
			}
		}

	}



/* &rgc-char? */
	obj_t BGl_z62rgczd2charzf3z43zz__rgc_configz00(obj_t BgL_envz00_1985,
		obj_t BgL_charz00_1986)
	{
		{	/* Rgc/rgcconfig.scm 83 */
			return BBOOL(BGl_rgczd2charzf3z21zz__rgc_configz00(BgL_charz00_1986));
		}

	}



/* rgc-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t
		BgL_charz00_34)
	{
		{	/* Rgc/rgcconfig.scm 89 */
			{	/* Rgc/rgcconfig.scm 90 */
				obj_t BgL_fun1232z00_1747;

				BgL_fun1232z00_1747 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (3L));
				return CBOOL(BGL_PROCEDURE_CALL1(BgL_fun1232z00_1747, BgL_charz00_34));
			}
		}

	}



/* &rgc-alphabetic? */
	obj_t BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00(obj_t BgL_envz00_1987,
		obj_t BgL_charz00_1988)
	{
		{	/* Rgc/rgcconfig.scm 89 */
			return
				BBOOL(BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(BgL_charz00_1988));
		}

	}



/* rgc-upcase */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t
		BgL_charz00_35)
	{
		{	/* Rgc/rgcconfig.scm 95 */
			{	/* Rgc/rgcconfig.scm 96 */
				obj_t BgL_fun1233z00_1750;

				BgL_fun1233z00_1750 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (4L));
				return BGL_PROCEDURE_CALL1(BgL_fun1233z00_1750, BgL_charz00_35);
			}
		}

	}



/* &rgc-upcase */
	obj_t BGl_z62rgczd2upcasezb0zz__rgc_configz00(obj_t BgL_envz00_1989,
		obj_t BgL_charz00_1990)
	{
		{	/* Rgc/rgcconfig.scm 95 */
			return BGl_rgczd2upcasezd2zz__rgc_configz00(BgL_charz00_1990);
		}

	}



/* rgc-downcase */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t
		BgL_charz00_36)
	{
		{	/* Rgc/rgcconfig.scm 101 */
			{	/* Rgc/rgcconfig.scm 102 */
				obj_t BgL_fun1235z00_1753;

				BgL_fun1235z00_1753 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (5L));
				return BGL_PROCEDURE_CALL1(BgL_fun1235z00_1753, BgL_charz00_36);
			}
		}

	}



/* &rgc-downcase */
	obj_t BGl_z62rgczd2downcasezb0zz__rgc_configz00(obj_t BgL_envz00_1991,
		obj_t BgL_charz00_1992)
	{
		{	/* Rgc/rgcconfig.scm 101 */
			return BGl_rgczd2downcasezd2zz__rgc_configz00(BgL_charz00_1992);
		}

	}



/* rgc-env */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2envzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 107 */
			return STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, (int) (6L));
		}

	}



/* &rgc-env */
	obj_t BGl_z62rgczd2envzb0zz__rgc_configz00(obj_t BgL_envz00_1993)
	{
		{	/* Rgc/rgcconfig.scm 107 */
			return BGl_rgczd2envzd2zz__rgc_configz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00(void)
	{
		{	/* Rgc/rgcconfig.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1706z00zz__rgc_configz00));
		}

	}

#ifdef __cplusplus
}
#endif
